# Stripe Balance Debit Agreements

## Endpoints

### Create a StripeBalanceDebitAgreement

- [POST /v1/stripe_balance_debit_agreements](https://docs.stripe.com/api/stripe_balance_debit_agreements/create.md)

### Retrieve a StripeBalanceDebitAgreement

- [GET /v1/stripe_balance_debit_agreements/:id](https://docs.stripe.com/api/stripe_balance_debit_agreements/retrieve.md)

### Revoke a StripeBalanceDebitAgreement

- [POST /v1/stripe_balance_debit_agreements/:id/revoke](https://docs.stripe.com/api/stripe_balance_debit_agreements/revoke.md)

A Stripe Balance Debit Agreement represents the permission for a Stripe account to debit funds from another Stripe account’s balance. The debit agreement token can be passed in payment_method_options to create a Stripe Balance payment method and mandate via SetupIntent or PaymentIntent APIs.
